import config
import character
import attack
import images
import behaviours
import pyglet

class Enemy(character.Character):
  def __init__(self, world, pos, facing):
    super(Enemy, self).__init__(pos, facing)
    self.state.print_state_enabled = config.print_enemy_state
    self.world = world
    self.behaviour = behaviours.Persuit(self)#Meander (self)
    self.update_animation()
    
    self.team = 1
       
  def tick(self, time_delta):
    super (Enemy, self).tick (time_delta)
    self.behaviour.tick(time_delta)

